# Uses of Class
javafx.scene.control.TreeTableView

Packages that use TreeTableView
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.
javafx.scene.control.skin
The javafx.scene.control.skin package is where the skin classes, typically one for each UI control, are located

## Uses of TreeTableView in javafx.scene.control

Fields in javafx.scene.control with type parameters of type TreeTableView
Modifier and Type
Field
Description
`static final Callback<TreeTableView,Boolean>`
TreeTableView.`DEFAULT_SORT_POLICY`
The default `sort policy` that this TreeTableView will use if no other policy is specified.
Methods in javafx.scene.control that return TreeTableView
Modifier and Type
Method
Description
`TreeTableView<S>`
TreeTableView.EditEvent.`getSource()`
Returns the TreeTableView upon which the edit took place.
`TreeTableView<S>`
TreeTableView.ResizeFeatures.`getTable()`
Returns the TreeTableView upon which the resize operation is occurring.
`final TreeTableView<S>`
TreeTableCell.`getTreeTableView()`
Gets the value of the `treeTableView` property.
`TreeTableView<S>`
TreeTableColumn.CellDataFeatures.`getTreeTableView()`
Returns the `TableView` passed in to the constructor.
`TreeTableView<S>`
TreeTableColumn.CellEditEvent.`getTreeTableView()`
Returns the TableView upon which this event occurred.
`final TreeTableView<S>`
TreeTableColumn.`getTreeTableView()`
Gets the value of the `treeTableView` property.
`final TreeTableView<S>`
TreeTablePosition.`getTreeTableView()`
The TreeTableView that this TreeTablePosition is related to.
`final TreeTableView<T>`
TreeTableRow.`getTreeTableView()`
Returns the TreeTableView associated with this TreeTableCell.
`TreeTableView<S>`
TreeTableView.TreeTableViewSelectionModel.`getTreeTableView()`
Returns the TreeTableView instance that this selection model is installed in.
Methods in javafx.scene.control that return types with arguments of type TreeTableView
Modifier and Type
Method
Description
`EventHandler<SortEvent<TreeTableView<S>>>`
TreeTableView.`getOnSort()`
Gets the value of the `onSort` property.
`final Callback<TreeTableView<S>,TreeTableRow<S>>`
TreeTableView.`getRowFactory()`
Gets the value of the `rowFactory` property.
`final Callback<TreeTableView<S>,Boolean>`
TreeTableView.`getSortPolicy()`
Gets the value of the `sortPolicy` property.
`ObjectProperty<EventHandler<SortEvent<TreeTableView<S>>>>`
TreeTableView.`onSortProperty()`
Called when there's a request to sort the control.
`final ObjectProperty<Callback<TreeTableView<S>,TreeTableRow<S>>>`
TreeTableView.`rowFactoryProperty()`
A function which produces a TreeTableRow.
`final ObjectProperty<Callback<TreeTableView<S>,Boolean>>`
TreeTableView.`sortPolicyProperty()`
The sort policy specifies how sorting in this TreeTableView should be performed.
`final ReadOnlyObjectProperty<TreeTableView<S>>`
TreeTableCell.`treeTableViewProperty()`
The TreeTableView associated with this TreeTableCell.
`final ReadOnlyObjectProperty<TreeTableView<S>>`
TreeTableColumn.`treeTableViewProperty()`
The TreeTableView that this TreeTableColumn belongs to.
`final ReadOnlyObjectProperty<TreeTableView<T>>`
TreeTableRow.`treeTableViewProperty()`
A TreeTableCell is explicitly linked to a single `TreeTableView` instance, which is represented by this property.
Methods in javafx.scene.control with parameters of type TreeTableView
Modifier and Type
Method
Description
`final void`
TreeTableCell.`updateTreeTableView(TreeTableView<S> tv)`
Updates the TreeTableView associated with this TreeTableCell.
`final void`
TreeTableRow.`updateTreeTableView(TreeTableView<T> treeTable)`
Updates the TreeTableView associated with this TreeTableCell.
Method parameters in javafx.scene.control with type arguments of type TreeTableView
Modifier and Type
Method
Description
`void`
TreeTableView.`setOnSort(EventHandler<SortEvent<TreeTableView<S>>> value)`
Sets the value of the `onSort` property.
`final void`
TreeTableView.`setRowFactory(Callback<TreeTableView<S>,TreeTableRow<S>> value)`
Sets the value of the `rowFactory` property.
`final void`
TreeTableView.`setSortPolicy(Callback<TreeTableView<S>,Boolean> callback)`
Sets the value of the `sortPolicy` property.
Constructors in javafx.scene.control with parameters of type TreeTableView
Modifier
Constructor
Description
``
`CellDataFeatures(TreeTableView<S> treeTableView, TreeTableColumn<S,T> tableColumn, TreeItem<S> value)`
Instantiates a CellDataFeatures instance with the given properties set as read-only values of this instance.
``
`CellEditEvent(TreeTableView<S> table, TreeTablePosition<S,T> pos, EventType<TreeTableColumn.CellEditEvent<S,T>> eventType, T newValue)`
Creates a new event that can be subsequently fired to the relevant listeners.
``
`EditEvent(TreeTableView<S> source, EventType<? extends TreeTableView.EditEvent> eventType, TreeItem<S> treeItem, S oldValue, S newValue)`
Creates a new EditEvent instance to represent an edit event.
``
`ResizeFeatures(TreeTableView<S> treeTable, TreeTableColumn<S,?> column, Double delta)`
Creates an instance of this class, with the provided TreeTableView, TreeTableColumn and delta values being set and stored in this immutable instance.
``
`TreeTablePosition(TreeTableView<S> treeTableView, int row, TreeTableColumn<S,T> tableColumn)`
Constructs a TreeTablePosition instance to represent the given row/column position in the given TreeTableView instance.
``
`TreeTableViewFocusModel(TreeTableView<S> treeTableView)`
Creates a default TableViewFocusModel instance that will be used to manage focus of the provided TableView control.
``
`TreeTableViewSelectionModel(TreeTableView<S> treeTableView)`
Builds a default TreeTableViewSelectionModel instance with the provided TreeTableView.

## Uses of TreeTableView in javafx.scene.control.skin

Constructors in javafx.scene.control.skin with parameters of type TreeTableView
Modifier
Constructor
Description
``
`TreeTableViewSkin(TreeTableView<T> control)`
Creates a new TreeTableViewSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.